#include "adduniversedialog.h"
#include "ui_adduniversedialog.h"

AddUniverseDialog::AddUniverseDialog(QWidget *parent, uint16_t universe)
  : QDialog(parent)
  , ui(new Ui::AddUniverseDialog)
{
  ui->setupUi(this);
  ui->spinBox->setValue(universe);
  connect(this, &QDialog::accepted,
          this, [this](){emit submit(ui->spinBox->value());});
}

AddUniverseDialog::~AddUniverseDialog()
{
  delete ui;
}
