#ifndef LINEEDITDIALOG_H
#define LINEEDITDIALOG_H

#include <QDialog>

namespace Ui {
class LineEditDialog;
}

class LineEditDialog : public QDialog
{
    Q_OBJECT
public:
    explicit LineEditDialog(QWidget *parent = nullptr,
                            QString label = "line", int length = 0,
                            QString value = "", QString placeholder = "");
    ~LineEditDialog();

signals:
    void submit(const QString);

private:
    Ui::LineEditDialog *ui;
};

#endif // LINEEDITDIALOG_H
