#pragma once

#include "multiversewindow.h"
#include "qsacnnode.h"

#include <QApplication>
#include <QSettings>

class SacnExplorer
    : public QApplication
{
  Q_OBJECT
public:
  explicit SacnExplorer(int argc, char *argv[]);
  virtual ~SacnExplorer();

private:
  void saveSettings();

  QSettings *settings_;
  QSacnNode *node_;
  MultiverseWindow *window_;
};

