#pragma once

#include "qsacnuniverse.h"
#include <QMainWindow>
#include <QSpinBox>


QT_BEGIN_NAMESPACE
namespace Ui {
  class UniverseWindow;
}
QT_END_NAMESPACE

class UniverseWindow
    : public QMainWindow
{
    Q_OBJECT
public:
    explicit UniverseWindow(QWidget *parent = nullptr,
                            QSacnUniverse* universe = nullptr);
    virtual ~UniverseWindow();

    /**
     * @brief universe
     * @return
     */
    QSacnUniverse * universe() { return mUniverse; }

private:
    Ui::UniverseWindow *ui;
    QSpinBox *prioritySpinBox;
    QSacnUniverse *mUniverse;

    void update_status_();
};
